Bug 170235 - Perl built with old db.h
Perl built with old db.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 16:34 EDT by Rudi Chiarito
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 00:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Chiarito 2005-10-09 16:34:23 EDT
Description of problem:
Perl seems to need a rebuild after db4 got updated.

Version-Release number of selected component (if applicable):
perl-5.8.7-0.4.fc5

How reproducible:
Always

Steps to Reproduce:
$ perl
use DB_File;

Actual results:
DB_File needs compatible versions of libdb & db.h
        you have db.h version 4.3.28 and libdb version 4.3.29
Compilation failed in require at - line 1.
BEGIN failed--compilation aborted at - line 1.

I actually have no db.h anywhere on the system (well, there's one from firewire
modules and one from tetex-fonts, but they are not <db.h>). I assume it's
talking about the db.h used to build the DB_File module (ie the Perl RPM).

Expected results:
No error

Additional info:
The current Rawhide Perl is older than db4. A respin of the package should fix
the issue, I think.
Comment 1 Warren Togami 2005-10-10 00:16:26 EDT
it will be in tomorrow's rawhide

Note You need to log in before you can comment on or make changes to this bug.